Download it now!
Bug 77526 - Trend line equation precision is changed if chart is copied from Calc to Writer
Summary: Trend line equation precision is changed if chart is copied from Calc to Writer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 84378 (view as bug list)
Depends on:
Blocks: Chart-Trendlines
  Show dependency treegraph
 
Reported: 2014-04-16 13:42 UTC by Anonymous Helper
Modified: 2019-03-30 06:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
example LO calc file with a chart. (24.17 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-04-16 13:42 UTC, Anonymous Helper
Details
the LO writer file where I pasted the chart and where the trend line equation form changed. (18.57 KB, application/vnd.oasis.opendocument.text)
2014-04-16 13:43 UTC, Anonymous Helper
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anonymous Helper 2014-04-16 13:42:10 UTC
Created attachment 97474 [details]
example LO calc file with a chart.

Hello, 
I use LO  4.2.3.3 on Linux (Fedora 20), and copy often charts from LO calc to LO writer. I found another thing of which I think could be a bug:
I put some data in a chart and added a trend line and displayed it, also R-squared. Now it has very many fractional digits and also party the form of E-005x for example. If I copy it (ctrl-c) and insert it in LO writer (ctrl-v) the form changes to zero to 2 fractional digits. You can right-click on it and change it so as many fractional digits as you want, but then every part of the equation and also r squared has so many fractional digits. This is also not possible in combination with the E-005 form for example. 
I think it should be possible to copy and paste a chart without having to change anything afterwards. And if this is not possible, you should be able to make it at least look like the "original" chart, but also this is not possible at the moment.
I attach the two example files. Plase let me know if you need some more information.
Thanks so far.
Comment 1 Anonymous Helper 2014-04-16 13:43:02 UTC
Created attachment 97475 [details]
the LO writer file where I pasted the chart and where the trend line equation form changed.
Comment 2 Laurent BP 2014-04-21 20:45:21 UTC
Confirmed with LibO 4.2.3.3
It seems that Calc and Writer do not have the same "Standard" format of numbers.

A workaround is to copy Chart as a picture: Edit > Paste Special > GDI metafile
Comment 3 Anonymous Helper 2014-04-22 17:35:04 UTC
Thanks for the information with special-paste as a GDI metafile. This helps a lot! Just for the case anyone else is interested: Special-paste also works with Shift-Ctrl-V and selecting GDI metafile. I didn't found it in the menu.
Comment 4 tommy27 2014-05-24 06:41:44 UTC
confirmed under Win7x64 with 4.2.4.2 and 4.2.0.4
Comment 5 tommy27 2014-05-24 08:27:13 UTC
can't test with 4.3.x because of Bug 79169
Comment 6 ign_christian 2014-06-26 16:51:40 UTC
Perhaps fix in Bug 71767 also resolve this problem
Comment 7 raal 2014-10-13 14:49:40 UTC
*** Bug 84378 has been marked as a duplicate of this bug. ***
Comment 8 QA Administrators 2015-10-14 19:58:26 UTC Comment hidden (obsolete)
Comment 9 tommy27 2015-10-15 21:21:04 UTC
still reproducible with LibO 4.4.5.1 and LibO 5.1.0.0 alpha daily build updated few minutes ago
Comment 10 Michael Yoo 2016-07-07 12:40:23 UTC
Still reproducible on version 5.1.3.2 Linux 64bit.
Comment 11 QA Administrators 2017-09-01 11:21:05 UTC Comment hidden (obsolete)
Comment 12 Thomas Lendo 2017-09-04 20:54:38 UTC
Still repro.

Version: 6.0.0.0.alpha0+
Build ID: bfd8a4e22fe584939f67b64c9c9495a466b16576
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-21_00:52:56
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 13 QA Administrators 2019-03-30 06:13:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug